# include "common.h"

int main(int argc, char **argv)
{
	int					shmid;
    key_t				key;
	int					*shm;
	struct	shmbuffedit_t	*buffedit;
	struct	shmbuffarout_t	*buffarout;

	key=SHMKEYbuffedit;
	if ((shmid = shmget(key, sizeof(struct shmbuffedit_t), IPC_CREAT | 0666)) < 0) 
	{
        if ((shmid = shmget(key, 0, 0666)) < 0) 
		{
			printf("share memory creation error!\n");
			printf("Cannot use this SHMKEY!\n");
			exit(-1);
		}
		if (shmctl(shmid, IPC_RMID, NULL)<0)
		{
			printf("Share Memory exists. Cannot delete!\n");
			exit(-1);
		}
		if ((shmid = shmget(key, sizeof(struct shmbuffedit_t), IPC_CREAT | 0666)) < 0) 
		{
			printf("arbufffsf: share memory creation error!\n");
			exit(-1);
		}
    }


    if ((shm = shmat(shmid, NULL, 0)) == (int *) -1) {
        printf("arbufffsf: share memory attatch error!\n");
        exit(-1);
    }

	buffedit=(struct shmbuffedit_t *)shm;

	bzero(buffedit, sizeof(struct shmbuffedit_t));


	buffedit->oktoedit=0;
	buffedit->realkwlistlen=0;
	buffedit->writing=0;
	buffedit->length=0;
	

	//-------------------------------------------
	key=SHMKEYbuffarout;
	if ((shmid = shmget(key, sizeof(struct shmbuffarout_t), IPC_CREAT | 0666)) < 0) 
	{
        if ((shmid = shmget(key, 0, 0666)) < 0) 
		{
			printf("share memory creation error!\n");
			printf("Cannot use this SHMKEY!\n");
			exit(-1);
		}
		if (shmctl(shmid, IPC_RMID, NULL)<0)
		{
			printf("Share Memory exists. Cannot delete!\n");
			exit(-1);
		}
		if ((shmid = shmget(key, sizeof(struct shmbuffarout_t), IPC_CREAT | 0666)) < 0) 
		{
			printf("arbuffedif: share memory creation error!\n");
			exit(-1);
		}
    }


    if ((shm = shmat(shmid, NULL, 0)) == (int *) -1) {
        printf("arbuffedif: share memory attatch error!\n");
        exit(-1);
    }

	buffarout=(struct shmbuffarout_t *)shm;
	buffarout->shmrealsize=0;
	buffarout->shmwriting=0;
	
	return (0);
}
